Retrieves all the user week approval
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "07fd61b5-420e-47c0-b540-83906956d4d9",
"user_id": "a188e5fb-c608-4c04-a0b6-f6a228f6dd4e",
"approved_date_start": "2026-11-18T02:01:05.5653192+00:00",
"approved_date_end": "2026-11-18T02:01:05.5653192+00:00",
"date_approval": "2026-11-18T02:01:05.5653192+00:00",
"is_approved": true,
"approved_by_user_id": "fee84e7f-8a99-40a7-bb7f-9ef69dac0cac",
"modified_dateutc": "2026-11-18T02:01:05.5653192+00:00"
}